INTERFACE
SUBROUTINE CUFLXNTL&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & PTSPHY,&
 & PTEN5, PQEN5, PQSEN5, PTENH5, PQENH5,&
 & PAPH5, PAP5, PGEOH5, LDLAND, LDCUM,&
 & KCBOT, KCTOP, KDTOP, KTOPM2,&
 & KTYPE, LDDRAF,&
 & PMFU5, PMFD5, PMFUS5, PMFDS5,&
 & PMFUQ5, PMFDQ5, PMFUL5, PLUDE5,&
 & PDMFUP5, PDMFDP5, PDPMEL5, PLGLAC5,&
 & PMFLXR5, PMFLXS5, PRAIN5, PMFDDE_RATE5 ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(IN) :: PTEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQSEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH5(KLON,KLEV+1)
LOGICAL ,INTENT(IN) :: LDLAND(KLON)
LOGICAL ,INTENT(IN) :: LDCUM(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KCBOT(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KCTOP(KLON)
INTEGER(KIND=JPIM),INTENT(IN) :: KDTOP(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KTOPM2
INTEGER(KIND=JPIM),INTENT(INOUT) :: KTYPE(KLON)
LOGICAL ,INTENT(INOUT) :: LDDRAF(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFD5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFUS5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFDS5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFUQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFDQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFUL5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLUDE5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDMFUP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDMFDP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDPMEL5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLGLAC5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFLXR5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PMFLXS5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRAIN5(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMFDDE_RATE5(KLON,KLEV)
END SUBROUTINE CUFLXNTL
END INTERFACE
